<!doctype html>
<html lang=fr>

	<head>
		<title>Demande d'inscription</title>
		<meta charset=utf-8> <meta name=viewport content="width=device-width, initial-scale=1">
		<link rel="stylesheet"  href="nogstyle.css">
	</head>
	
	<body>
		<header>
			<?php 
				include('includes/header_simple.inc');
			?>
		</header>
		
		<article> 
			<?php 
				$nomprof="";
				if ($_SERVER['REQUEST_METHOD'] == 'POST')//Check if the form has been submitted:
				{
					require ('connect/mysqli_connect.php'); //connection bdd
					$nomprof=mb_strtoupper(mysqli_real_escape_string($dbcon, trim($_POST['nomprof']))); //majuscules
					$codeacces=mb_strtoupper(mysqli_real_escape_string($dbcon, trim($_POST['codeetab'])));
					$errors = array();
					
					$q = "SELECT codeEtablissement FROM acteur WHERE nomAct='$nomprof' AND Autorisation=1 ";	
					$result = mysqli_query ($dbcon, $q) or die ("erreur sql"); 
					// Check the result:
					$r=@mysqli_num_rows($result);
					if ($r != 1)  // si il n'y a pas une ligne de résultat il y a une erreur sur nom du prof'))
					{
						$errors[]='Erreur de saisie dans le nom du professeur';
					}
					else// si le nom deu prof est bon on vérifie le code étab
					{   //On récupère les valeurs du SELECT dans un tableau $tab (normalement 1 ligne, une col)
						$tab = mysqli_fetch_array ($result, MYSQLI_ASSOC);
						if ($tab['codeEtablissement']!=$codeacces) // Si l'étudiant a saisi le bon code il peut remplir le formulaire
						{
							$errors[]=' Le code Etablissement est incorrect <p>';
						}
					}
					
					if (empty($errors))
					{
						session_start();// Start the session,
						$_SESSION['Autorisation'] = 99; // autorisation temporaire
						$_SESSION['CodeEtablissement']=$tab['codeEtablissement'];
						header('location: temp_saisie_insc.php');
					}
					else
					{ 				// Display the errors
						echo '<div class="alert echec"> ERREURS !! : <br />';
						foreach ($errors as $msg)
						{ // Echo each error.
							echo " - $msg <br/>\n";
						}
						echo'<p><a class="bouton10" href="temp_dde_insc.php?" >OK</a></p>';
						echo '</div>';
					} // End of if (empty($errors))section.	
					mysqli_close($dbcon);
				}
			?>
			
			
			<!--DEBUT DE LA PAGE -->
			
			<h3>INSCRIPTION</h3>
			<h4><i>Bonjour, Entrer le nom de votre professeur et le code de votre établissement</i></h4>
			<form class="centre60" action="<?php echo htmlspecialchars($_SERVER['REQUEST_URI'], ENT_QUOTES); ?>" method="post">
			
				<p><label class="label300d" for="id">Nom du professeur</label>
					<input id="prof" type="text" name="nomprof" size="30" maxlength="30" value="<?php echo $nomprof ?>">
				</p>

				<p>
					<label class="label300d" for="psword">Code Etablissement</label>
					<input id="etab" type="text" name="codeetab" size="10" maxlength="10">		
				</p>
				<p class="centre">
				<br/>
					<input id="submit" type="submit" name="submit" value="Inscription">			
				</p>
			</form>
		</article>
		<footer>
			<?php include ('includes/footer.inc'); ?>
		</footer>	
	</body>
</html>